LSLOCKS(8)

NOM
lslocks - Afficher les verrous système locaux

SYNOPSIS

lslocks [options]

DESCRIPTION

lslocks affiche des renseignements sur les verrous de fichier actuellement maintenus dans un système Linux.

Remarquez que lslocks liste aussi les verrous OFD (Open File Description), ceux-ci ne sont associés à aucun processus (PID de -1). Les verrous OFD sont associés aux descripteurs de fichier ouvert pour lesquels ils sont obtenus. Ce type de fichier est disponible depuis Linux 3.15, consultez fcntl(2) pour des détails complémentaires.

OPTIONS

-b, --bytes
    Afficher la taille (colonne SIZE) en octets plutôt qu’en format lisible.

    Par défaut, l’unité des tailles est exprimée en octets SI et les préfixes d’unités sont des puissances de 2^10 (1024). Les abréviations des symboles sont affichées tronquées afin d’offrir une meilleure lisibilité. Seule la première lettre est affichée. Par exemple, « 1 Kio » et « 1 Mio » sont affichés comme « 1 K » et « 1 M » respectivement en omettant volontairement la mention « io » qui fait partie de ces abréviations.

-i, --noinaccessible
    Ignorer les fichiers de verrou inaccessibles à l’utilisateur actuel.

-J, --json
    Utiliser le format de sortie JSON.

-n, --noheadings
    Ne pas imprimer de ligne d’en-tête.

-o, --output liste
    Indiquer les colonnes à afficher. Utilisez --help pour obtenir une liste de toutes les colonnes disponibles.

    La liste de colonnes par défaut peut être étendue si liste est indiquée sous la forme _+liste (par exemple, lslocks -o +BLOCKER).

--output-all
    Afficher toutes les colonnes disponibles.

-p, --pid PID
    N’afficher que les verrous maintenus par le processus avec ce PID.

-r, --raw
    Utiliser l’affichage au format brut.

-u, --notruncate
    Ne pas tronquer le texte des colonnes.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher le numéro de version et quitter.

SORTIE

COMMAND
    Le nom de commande du processus qui détient le verrou.

PID
    L’identifiant de processus du processus qui détient le verrou ou -1 pour OFDLCK.

TYPE
    Le type de verrou ; il peut être FLOCK (créé avec flock(2)), POSIX (créé avec fcntl(2) et lockf(3)) ou OFDLCK (créé avec fcntl(2)).

SIZE
    La taille du fichier verrouillé.

MODE
    Les droits d’accès (lecture, écriture) du verrou. Si le processus est bloqué en attente du verrou, alors le mode a un « * » (astérisque) en préfixe

M
    Si le verrou est obligatoire : 0 signifie non (c’est-à-dire que le verrou n’est que coopératif), 1 signifie oui (consultez fcntl(2)).

START
    Position relative en octet du verrou.

END
    Position finale du verrou.

PATH
    Chemin complet du verrou. Si aucun n’est trouvé ou si la lecture du chemin n’est pas permise, le point de montage du périphérique sera utilisé en solution de repli et « ... » est ajouté au chemin. Le chemin pourrait être tronqué ; utilisez --notruncate pour obtenir le chemin complet.

BLOCKER
    Le PID du processus qui bloque le verrou.

NOTES

La commande lslocks a pour but de remplacer la commande lslk(8), écrite à l’origine par et non maintenue depuis 2001.

AUTEURS

VOIR AUSSI

flock(1), fcntl(2), lockf(3)

SIGNALER DES BOGUES

Pour signaler un bogue, utilisez le gestionnaire de bogues sur

DISPONIBILITÉ

La commande lslocks fait partie du paquet util-linux, elle est disponible sur